This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 502209 - gsl-devel unnecessarily requires installation of 'gsl' contrary to Packaging Guidelines
gsl-devel unnecessarily requires installation of 'gsl' contrary to Packaging ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gsl (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-22 11:10 EDT by R P Herrold
Modified: 2009-05-25 03:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-25 03:24:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2009-05-22 11:10:23 EDT
Description of problem:

gsl-devel unnecessarily (and improperly) Requires installation of 'gsl'

Version-Release number of selected component (if applicable):

1.12-3

How reproducible:

A. Rebuild Current rawhide version

B. [herrold@centos-5 drosenthal]$ sudo rpm -Uvh /home/herrold/rpmbuild/RPMS/x86_64/gsl-devel-1.12-3orc.x86_64.rpm
Password:
error: Failed dependencies:
        gsl = 1.12-3orc is needed by gsl-devel-1.12-3orc.x86_64
        libgsl.so.0()(64bit) is needed by gsl-devel-1.12-3orc.x86_64
        libgslcblas.so.0()(64bit) is needed by gsl-devel-1.12-3orc.x86_64
[herrold@centos-5 drosenthal]$

Steps to Reproduce:

as above
  
Actual results:

as above

Expected results:

no Require on GSL

Additional info:

see:  https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

  Explicit Requires

Packages must not contain explicit Requires on libraries except when absolutely necessary. When explicit library Requires are necessary, there should be a spec file comment justifying it.

We generally rely on rpmbuild to automatically add dependencies on library SONAMEs ...
Comment 1 Alexey Torkhov 2009-05-24 06:07:56 EDT
gsl-devel is a subpackage of gsl and should require base package as per https://fedoraproject.org/wiki/Packaging/Guidelines#Requiring_Base_Package

I think, this is NOTABUG.
Comment 2 Ivana Varekova 2009-05-25 03:24:05 EDT
Alexey is right - this is the base package and it is standard dependency in -devel package.
Closing NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.